RK-J - Feature #2933

Add version support to browser extension
03/16/2023 10:36 AM - Ram Kordale

Status: Closed Start date: 03/22/2023
Priority: Normal Due date: 03/24/2023
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 2.00 hours
Description

The browser extension is the client of getPurpleLinksinfoExtFull api. We will be in a situation where different versions of browser
extension will be used by users and we have to respond correctly.

We should plan to support 3 versions.
For now, consider getPurpleLinksInfoExtFull(<p>), where <p> are the current set of parameters that are in production.

The current version of the extension is fixed as 0.9. For the next version that sends 'extOpenCount’, let us make the extension
version 0.95. Let the extension send this version along with extOpenCount. This is the addition to 2917.

All changes in the getPurpleLinksInfoExtFull api for this version can also use the version number so that it will work fine for the
versions older than 0.95. Note that if we face some issue in the current extension, we may end up pushing a fix with a version TBD
between 0.9 and 0.95.

Subtasks:

Task # 2939: Ext: Send the version from the manifest in the getPurpleLinksinfoExtFull API. Closed
Task # 2940: BE: Handle implementation based on version. Closed
History

#1 - 03/21/2023 06:11 AM - Ram Kordale
- Priority changed from High to Urgent

#2 - 03/21/2023 08:58 AM - Ayush Khandelwal
- Due date set to 03/24/2023

#3 - 03/24/2023 12:46 PM - Ayush Khandelwal

- Status changed from New to Resolved

#4 - 05/02/2023 12:11 PM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#5 - 05/16/2023 09:17 AM - Ram Kordale
- Status changed from Feedback to Closed
